La spec OpenAPI
Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Endpoints Beta Observability Datasets Records

(bêta) Gérez les enregistrements individuels au sein des datasets.

Récupère le contenu d'une conversation donnée depuis un dataset

GET /v1/observability/dataset-records/{dataset_record_id}

200

Réponse réussie

created_at
*date-time
dataset_id
*string
deleted_at
*date-time|null
id
*string
properties
*map<any>
source
*"EXPLORER"|"UPLOADED_FILE"|"DIRECT_INPUT"|"PLAYGROUND"
updated_at
*date-time

Playground

Testez les endpoints en direct

from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.datasets.records.fetch(dataset_record_id="ce995349-abbf-45c0-be75-885fc1c4b4c0")

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "created_at": "2025-10-07T20:56:01.974Z",
  "dataset_id": "ipsum eiusmod",
  "deleted_at": null,
  "id": "consequat do",
  "payload": {
    "messages": [
      [
        null
      ]
    ]
  },
  "properties": [
    null
  ],
  "source": "EXPLORER",
  "updated_at": "2025-10-07T20:56:01.974Z"
}

Supprimer un enregistrement d'un dataset

DELETE /v1/observability/dataset-records/{dataset_record_id}

Playground

Testez les endpoints en direct

from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    mistral.beta.observability.datasets.records.delete(dataset_record_id="799fed99-80b4-4a9a-a15e-05352b811702")

    # Use the SDK ...

curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id} \
 -X DELETE \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json'

Supprimer plusieurs enregistrements de datasets

POST /v1/observability/dataset-records/bulk-delete

Playground

Testez les endpoints en direct

from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    mistral.beta.observability.datasets.records.bulk_delete(dataset_record_ids=[
        "22fc78f7-e774-4ab5-b1ea-63852992ef31",
        "1c533b4f-882e-4bd0-9ef6-9933b825f8b1",
    ])

    # Use the SDK ...

curl https://api.mistral.ai/v1/observability/dataset-records/bulk-delete \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "dataset_record_ids": [
    "ipsum eiusmod"
  ]
}'

Exécuter le juge sur un enregistrement de dataset en fonction des options données

POST /v1/observability/dataset-records/{dataset_record_id}/live-judging

200

Réponse réussie

analysis
*string
answer
*string|number

Playground

Testez les endpoints en direct

from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.datasets.records.judge(dataset_record_id="9de5d7a1-787a-45dd-b668-9f3407e76d8b", judge_definition={
        "name": "<value>",
        "description": "wisely railway deceivingly arcade minion back what yowza outrun service",
        "model_name": "<value>",
        "output": {
            "type": "CLASSIFICATION",
            "options": [
                {
                    "value": "<value>",
                    "description": "spork excluding without retrospectivity bah next yearly",
                },
            ],
        },
        "instructions": "<value>",
        "tools": [
            "<value 1>",
        ],
    })

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/live-judging \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "judge_definition": {
    "description": "ipsum eiusmod",
    "instructions": "consequat do",
    "model_name": "reprehenderit ut dolore",
    "name": "occaecat dolor sit",
    "output": {
      "options": [
        {
          "description": "nostrud",
          "value": "aute aliqua aute commodo"
        }
      ]
    },
    "tools": [
      "irure"
    ]
  }
}'

200

{
  "analysis": "ipsum eiusmod",
  "answer": "consequat do"
}

Mettre à jour le payload de conversation d'un enregistrement de dataset

PUT /v1/observability/dataset-records/{dataset_record_id}/payload

Playground

Testez les endpoints en direct

from mistralai.client import Mistral, models
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    mistral.beta.observability.datasets.records.update_payload(dataset_record_id="17506b15-748e-4e7c-9737-c97c44d04b0f", payload=models.ConversationPayload(
        messages=[
            {
                "key": "<value>",
            },
            {

            },
            {
                "key": "<value>",
            },
        ],
    ))

    # Use the SDK ...

curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/payload \
 -X PUT \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "payload": {
    "messages": [
      [
        null
      ]
    ]
  }
}'

Mettre à jour les propriétés de conversation

PUT /v1/observability/dataset-records/{dataset_record_id}/properties

Playground

Testez les endpoints en direct

from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    mistral.beta.observability.datasets.records.update_properties(dataset_record_id="a4deefc5-0905-427e-ad15-1090ef9e216d", properties={
        "key": "<value>",
        "key1": "<value>",
        "key2": "<value>",
    })

    # Use the SDK ...

curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/properties \
 -X PUT \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "properties": [
    null
  ]
}'